---
id: gimmepeers
name: GimmePeers
description: "GimmePeers (formerly ILT) is a Private PAY2DL Torrent Tracker for MOVIES / TV / GENERAL"
language: en-US
type: private
encoding: iso-8859-1
links:
  - https://www.gimmepeers.com/

caps:
  categorymappings:
    - {id: 1, cat: TV/Anime, desc: "Anime"}
    - {id: 4, cat: PC/0day, desc: "App-WIN"}
    - {id: 2, cat: PC/Mac, desc: "App-MAC"}
    - {id: 27, cat: PC, desc: "App-LINUX"}
    - {id: 29, cat: Audio/Audiobook, desc: "Books (a)"}
    - {id: 5, cat: Books/EBook, desc: "Books (e)"}
    - {id: 6, cat: PC/Mobile-Other, desc: "Mobile"}
    - {id: 7, cat: Audio, desc: "Music"}
    - {id: 28, cat: TV/Sport, desc: "Sports"}
    - {id: 3, cat: Books/Other, desc: "Tutorials"}
    - {id: 8, cat: Other, desc: "Other"}
    - {id: 9, cat: Console/NDS, desc: "Game-NIN"}
    - {id: 11, cat: Console/PS3, desc: "Game-PS"}
    - {id: 10, cat: PC/Games, desc: "Game-WIN"}
    - {id: 12, cat: Console/XBox, desc: "Game-XBOX"}
    - {id: 13, cat: Movies/3D, desc: "Movie-3D"}
    - {id: 26, cat: Movies/UHD, desc: "Movie-4K"}
    - {id: 14, cat: Movies/BluRay, desc: "Movie-Bluray"}
    - {id: 15, cat: Movies/DVD, desc: "Movie-DVDR"}
    - {id: 16, cat: Movies/HD, desc: "Movie-x264"}
    - {id: 17, cat: Movies/HD, desc: "Movie-x265"}
    - {id: 19, cat: Movies/SD, desc: "Movie-XVID"}
    - {id: 18, cat: Movies, desc: "Movie-Packs"}
    - {id: 30, cat: TV/UHD, desc: "TV-4K"}
    - {id: 22, cat: TV/HD, desc: "TV-x265"}
    - {id: 20, cat: TV/HD, desc: "TV-x264-HD"}
    - {id: 21, cat: TV/SD, desc: "TV-x264-SD"}
    - {id: 25, cat: TV/HD, desc: "TV-Retail-HD"}
    - {id: 24, cat: TV/SD, desc: "TV-Retail-SD"}
    - {id: 23, cat: TV, desc: "TV-Packs"}
    - {id: 50, cat: XXX/x264, desc: "xXx-HD"}
    - {id: 49, cat: XXX/SD, desc: "xXx-SD"}

  modes:
    search: [q]
    tv-search: [q, season, ep, tvmazeid, genre]
    movie-search: [q, imdbid, genre]
    music-search: [q]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: freeleech
    type: checkbox
    label: Filter freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: 4
    options:
      4: created
      7: seeders
      5: size
      1: title
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc

login:
  path: takelogin.php
  method: post
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
    returnto: /browse.php
  error:
    - selector: td:contains("Login failed!")
      message:
        selector: table tbody tr td font
  test:
    path: browse.php
    selector: a[href="/logout.php"]

search:
  paths:
    # https://www.gimmepeers.com/browse.php?search=2022&c13=1&blah=0&incldead=0
    - path: browse.php
  inputs:
    $raw: "{{ range .Categories }}c{{.}}=1&{{end}}"
    search: "{{ if or .Query.IMDBID .Query.TVMazeID }}{{ or .Query.IMDBID .Query.TVMazeID }}{{ else }}{{ .Keywords }}{{ end }}{{ if .Query.Genre }} genre:{{ .Query.Genre }}{{ else }}{{ end }}"
    # 0 title, 1 nfo, 2 filelist, 3 title+nfo, 4 imdb, 5 tvmaze
    blah: "{{ if .Query.IMDBID }}4{{ else }}{{ end }}{{ if .Query.TVMazeID }}5{{ else }}{{ end }}{{ if .Query.Genre }}3{{ else }}{{ end }}{{ if or .Query.IMDBID .Query.TVMazeID .Query.Genre }}{{ else }}0{{ end }}"
    # 0 active only, 1 dead only
    incldead: 0
    sort: "{{ .Config.sort }}"
    type: "{{ .Config.type }}"

  rows:
    selector: "table.browsetable:not(:has(td.gp_sub_nav):contains(\"Top 25\")) tbody tr:has(a[href^=\"download.php\"]){{ if .Config.freeleech }}:has(img[src=\"/core/design/icons/fleech.png\"]){{ else }}{{ end }}"

  fields:
    category:
      selector: a[href^="browse.php?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title:
      selector: a[href^="details.php?id="]
      filters:
        - name: re_replace
          args: ["(?i)\\s*{REQ}$", ""]
    details:
      selector: a[href^="details.php?id="]
      attribute: href
    download:
      selector: a[href^="download.php"]
      attribute: href
    imdbid:
      selector: a[href*="imdb.com/title/tt"]
      attribute: href
      filters:
        - name: replace
          args: ["/redir.php?url=", ""]
    genre:
      selector: span:has(a[title="search by genre"])
      filters:
        - name: replace
          args: ["votes", ""]
        - name: re_replace
          args: ["\\d+", ""]
    description:
      text: "{{ .Result.genre }}"
    date:
      selector: td:nth-child(7) nobr
      filters:
        - name: replace
          args: ["\xA0", ""]
        - name: append
          args: " -04:00" # AST
        - name: dateparse
          args: "yyyy-MM-ddHH:mm:ss zzz"
    size:
      selector: td:nth-child(6)
    files:
      selector: td:nth-child(8)
    grabs:
      selector: td:nth-child(10)
    seeders:
      selector: td:nth-last-child(3)
    leechers:
      selector: td:nth-last-child(2)
    downloadvolumefactor:
      case:
        img[src="/core/design/icons/fleech.png"]: 0
        "*": 1
    uploadvolumefactor:
      text: 1
# engine n/a
